class AcmeSh < Formula
  desc "ACME client"
  homepage "https://github.com/acmesh-official/acme.sh"
  url "https://github.com/acmesh-official/acme.sh/archive/refs/tags/3.1.1.tar.gz"
  sha256 "c5d623ac0af400e83cd676aefaf045228f60e9fc597fea5db4c3a5bd7f6bfcf4"
  license "GPL-3.0-only"

  def install
    libexec.install [
      "acme.sh",
      "deploy",
      "dnsapi",
      "notify",
    ]

    bin.install_symlink libexec/"acme.sh"
  end

  test do
    assert_match version.to_s, shell_output("#{bin}/acme.sh --version")

    expected = if OS.mac?
      "Main_Domain  KeyLength  SAN_Domains  CA  Created  Renew\n"
    else
      "Main_Domain\tKeyLength\tSAN_Domains\tCA\tCreated\tRenew\n"
    end
    assert_match expected, shell_output("#{bin}/acme.sh --list")
  end
end
